<core:FragmentDefinition xmlns="sap.m" xmlns:core="sap.ui.core" xmlns:app="http://schemas.sap.com/sapui5/extension/sap.ui.core.CustomData/1"
	xmlns:f="sap.ui.layout.form" xmlns:table="sap.ui.table">
	<Dialog icon="sap-icon://add" id="dlgEditarCabecera" title="Editar Cabecera">
		<f:SimpleForm editable="false" layout="ResponsiveLayout" adjustLabelSpan="true" singleContainerFullSize="true">
			<f:content>
				<Label text="Descripción"/>
				<Input value="{EditCabecera>/Descripcion}"/>
				<Label text="Ubicación"/>
				<ComboBox showSecondaryValues="true" filterSecondaryValues="true" selectedKey="{EditCabecera>/Beber}"
					items="{ path: 'ubicacion>/', sorter: { path: 'beber' } }">
					<core:ListItem key="{ubicacion>beber}" text="{ubicacion>fing}" additionalText="{ubicacion>beber}"/>
				</ComboBox>
				<Label text="Estatus"/>
				<ComboBox showSecondaryValues="true" filterSecondaryValues="true" selectedKey="{EditCabecera>/UserStatInt}"
					items="{ path: 'estatus>/', sorter: { path: 'user_stat' } }">
					<core:ListItem key="{estatus>user_stat_int}" text="{estatus>user_stat_des}" additionalText="{estatus>user_stat}"/>
				</ComboBox>
				<Label text="Pagador"/>
				<ComboBox showSecondaryValues="true" filterSecondaryValues="true" selectedKey="{EditCabecera>/Pagador}"
					items="{ path: 'pagador>/', sorter: { path: 'CodPag' } }">
					<core:ListItem key="{pagador>CodPag}" text="{pagador>Nomb} {pagador>Apel}" additionalText="{pagador>CodPag}"/>
				</ComboBox>
				<Label text="Contacto"/>
				<ComboBox showSecondaryValues="true" filterSecondaryValues="true" selectedKey="{EditCabecera>/Contacto}"
					items="{ path: 'personasContactos>/', sorter: { path: 'BusinessPartnerPerson' } }">
					<core:ListItem key="{personasContactos>BusinessPartnerPerson}" text="{personasContactos>BusinessPartnerName}" additionalText="{personasContactos>BusinessPartnerPerson}"/>
				</ComboBox>
				<Label text="Equipo administrativo"/>
				<ComboBox showSecondaryValues="true" filterSecondaryValues="true" selectedKey="{EditCabecera>/Equip}"
					items="{ path: 'equipoAdministrativo>/', sorter: { path: 'BusinessPartnerPerson' } }">
					<core:ListItem key="{equipoAdministrativo>equip}" text="{equipoAdministrativo>descripcion}" additionalText="{equipoAdministrativo>equip}"/>
				</ComboBox>
				<!-- <Label text="Motivo Inmovilización"/>
				<ComboBox selectedKey="{EditCabecera>/Motivo}" items="{ path: 'motivo>/', sorter: { path: 'CodPag' } }">
					<core:ListItem key="{motivo>motivo}" text="{motivo>motivo}"/>
				</ComboBox>
				<Label text="Comentario Motivo"/>
				<Input value="{EditCabecera>/Comentario}"/> -->
				<Label text="Siniestro"/>
				<Input value="{EditCabecera>/Siniestro}"/>
				<Label text="Taller"/>
				<ComboBox selectedKey="{EditCabecera>/Stand}" items="{ path: 'taller>/', sorter: { path: 'ktext' } }">
					<core:ListItem key="{taller>stand}" text="{taller>ktext}"/>
				</ComboBox>
				<Label text="Fecha Promesa"/>
				<DatePicker	dateValue="{EditCabecera>/FechaPromesa2}" valueFormat="yyyyMMdd" displayFormat="dd-MM-yyyy" class="sapUiSmallMarginBottom"/>
				<Label text="Hora Promesa"/>
				<TimePicker
				value="{EditCabecera>/FechaHora2}"
				support2400="true"
				valueFormat="HHmmss"
				displayFormat="HH:mm"/>
				<Label text="Kilometraje"/>
				<Input value="{EditCabecera>/Kilometraje}"/>
				<Label text="Nivel de Gas"/>
				<ComboBox selectedKey="{EditCabecera>/Gasolina}">
					<core:ListItem key="0" text="0"/>
					<core:ListItem key="1/8" text="1/8"/>
					<core:ListItem key="1/4" text="1/4"/>
					<core:ListItem key="3/8" text="3/8"/>
					<core:ListItem key="1/2" text="1/2"/>
					<core:ListItem key="5/8" text="5/8"/>
					<core:ListItem key="3/4" text="3/4"/>
					<core:ListItem key="7/8" text="7/8"/>
					<core:ListItem key="Lleno" text="Lleno"/>
				</ComboBox>
				<Label text="Id. Veh. Taller"/>
				<Input value="{EditCabecera>/Idcono}"/>
				<Label text="Estado de garantía"/>
                <ComboBox id="estadosGarantias" selectedKey="{EditCabecera>/Estatus}" showSecondaryValues="true" filterSecondaryValues="true" items="{ path: 'estadosGarantias>/', sorter: { path: 'Descripcion' } }">
					<core:ListItem key="{estadosGarantias>Codigo}" text="{estadosGarantias>Descripcion}" additionalText="{estadosGarantias>Codigo}"/>
				</ComboBox>
			</f:content>
		</f:SimpleForm>
		<buttons>
			<Button type="Accept" text="Guardar" press="onEditarCabecera" app:id="dlgEditarCabecera" icon="sap-icon://save"/>
			<Button type="Reject" text="Cancelar" press="onCancelar" app:id="dlgEditarCabecera" icon="sap-icon://decline"/>
		</buttons>
	</Dialog>
</core:FragmentDefinition>